CVE-2002-1060
CVSS4.3
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:40
NMCOE    

[原文]Cross-site scripting (XSS) vulnerability in Blue Coat Systems (formerly CacheFlow) CacheOS on Client Accelerator 4.1.06, Security Gateway 2.1.02, and Server Accelerator 4.1.06 allows remote attackers to inject arbitrary web script or HTML via a URL to a nonexistent hostname that includes the HTML, which is inserted into the resulting error page.


[CNNVD]Blue Coat Systems错误页面跨站脚本攻击(XSS)漏洞(CNNVD-200210-048)

        Client Accelerator 4.1.06版本,Security Gateway 2.1.02,以及Server Accelerator 4.1.06版本的Blue Coat Systems(原来的CacheFlow)存在跨站脚本攻击(XSS)漏洞。远程攻击者可以借助一个包含HTML且不存在主机名称的URL注入任意web脚本或HTML,该漏洞可以插入在产生的错误页面中。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:bluecoat:cacheos:4.1.6Blue Coat Systems CacheOS 4.1.6
cpe:/o:bluecoat:cacheos:4.0.12
cpe:/o:bluecoat:cacheos:4.0.11
cpe:/o:bluecoat:cacheos:4.0Blue Coat Systems CacheOS 4.0
cpe:/o:bluecoat:cacheos:3.1.17
cpe:/o:bluecoat:cacheos:3.1.19
cpe:/o:bluecoat:cacheos:3.1.18
cpe:/o:bluecoat:cacheos:4.0.14
cpe:/o:bluecoat:cacheos:4.0.13
cpe:/o:bluecoat:cacheos:3.1.21

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1060
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1060
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-048
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5305
(VENDOR_ADVISORY)  BID  5305
http://www.iss.net/security_center/static/9674.php
(VENDOR_ADVISORY)  XF  cacheos-unresolved-error-xss(9674)
http://www.securityfocus.com/bid/5608
(UNKNOWN)  BID  5608
http://download.cacheflow.com/release/CA/4.1.00-docs/CACacheOS41fixes.htm
(UNKNOWN)  CONFIRM  http://download.cacheflow.com/release/CA/4.1.00-docs/CACacheOS41fixes.htm
http://archives.neohapsis.com/archives/bugtraq/2002-07/0283.html
(UNKNOWN)  BUGTRAQ  20020724 CacheFlow CacheOS Cross-site Scripting Vulnerability

- 漏洞信息

Blue Coat Systems错误页面跨站脚本攻击(XSS)漏洞
中危 跨站脚本
2002-10-04 00:00:00 2006-11-07 00:00:00
远程  
        Client Accelerator 4.1.06版本,Security Gateway 2.1.02,以及Server Accelerator 4.1.06版本的Blue Coat Systems(原来的CacheFlow)存在跨站脚本攻击(XSS)漏洞。远程攻击者可以借助一个包含HTML且不存在主机名称的URL注入任意web脚本或HTML,该漏洞可以插入在产生的错误页面中。

- 公告与补丁

        For users that are capable of upgrading vulnerable systems, the vendor has made fixed versions of firmware available. The vendor advises upgrading to the fixed versions specified in the referenced vendor advisory.
        CacheFlow Client Accelerator 4.1 .06
        
        CacheFlow Server Accelerator 4.1 .06
        

- 漏洞信息 (21649)

CacheFlow CacheOS 3.1.x/4.0.x/4.1 Unresolved Domain Cross Site Scripting Vulnerability (EDBID:21649)
multiple remote
2002-07-24 Verified
0 T.Suzuki
N/A [点击下载]
source: http://www.securityfocus.com/bid/5305/info

CacheOS is the firmware designed and distributed with CacheFlow web cache systems. It is maintained and distributed by CacheFlow.

User supplied data is not sanitized before being included in an unresolved host error page. An attacker may construct a link for a nonexistant subdomain of a valid site, and include malicious JavaScript. If followed, the supplied script code will execute within the context of the requested domain.

http://dummy.example.com/<script>EVIL CODE</script>		

- 漏洞信息

4989
CacheFlow CacheOS Error Page Hostname XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

- 时间线

2002-07-24 Unknow
2002-07-24 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站